---
title: "x402 receipt lookup"
description: "Returns sanitized x402 payment status by nonce. Public: anyone with the nonce can read the receipt status."
canonical: https://y2.dev/docs/api/reference/payments/getX402Receipt/
---

Endpoint Reference[Payments](https://y2.dev/docs/api/reference/payments)

# x402 receipt lookup

Returns sanitized x402 payment status by nonce. Public: anyone with the nonce can read the receipt status.

`GET https://api.y2.dev/api/v1/x402/receipts/{nonce}`

- Operation ID: `getX402Receipt`
- Contract: https://y2.dev/openapi.json

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `nonce` | path | string | Yes | Payment authorization nonce. |

## Responses

| Status | Description | Body |
| --- | --- | --- |
| 200 | Sanitized x402 payment receipt | `X402ReceiptResponse` |
| 400 | Invalid request parameters |  |
| 404 | Resource not found |  |
| 500 | Internal server error |  |

### 200 response fields

| Field | Type | Description |
| --- | --- | --- |
| `nonce` | string |  |
| `payerAddress` | string |  |
| `endpoint` | string |  |
| `amountUsd` | number (double) |  |
| `network` | string |  |
| `status` | `verify_failed`, `rate_limited`, `replay_blocked`, `settle_failed`, `settled`, `handler_failed` |  |
| `txHash` | string |  |
| `settledAt` | number | Epoch milliseconds. |
| `error` | string or null |  |
